TLS certificates
v1.6.2
Complete staged TLS certificate order
Complete an action-required TLS certificate order by binding it to an existing usable DigiCert organization and submitting the provider order.
POST
/tls/certificate/{certificate_id}/complete
TLSCertificatesByID
Authentication
Parameters
Name
Type
Format
Required
Description
certificate_id
string
-
Required
Public TLS certificate ID
Request body
TLS certificate completion payload
tlsCertificateCompleteRequesttlsCertificateCompleteRequest
{
"org_id": "hdl_7K9QW3M2ZT8HJ"
}Fields
Name
Type
Format
Required
Description
org_id
string
-
Required
Public TLS organization ID
Request example
POST
curl --request POST \
--url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ/complete' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'content-type: application/json' \
--data '{
"org_id": "hdl_7K9QW3M2ZT8HJ"
}'Responses
200
TLS certificate order completed
Response example 200
{
"success": true,
"code": 0,
"response": {
"id": "7K9QW3M2ZT8HJ",
"status": "pending",
"common_name": "www.example.com",
"product": "SecureSite",
"provider": "digicert",
"dns_names": [
"www.example.com"
],
"order_state": "PENDING",
"action_required": false,
"pending_reason": "validation_pending",
"pending_message": "The TLS certificate order is waiting for domain validation.",
"completion_url": "",
"organization_id": "hdl_7K9QW3M2ZT8HJ",
"validity_days": 199,
"certificate_pem_available": false,
"validation": {
"method": "dns-cname-token",
"dns_records": [
{
"name": "_dnsauth.example.com.",
"type": "CNAME",
"value": "0123456789abcdef.dcv.digicert.com."
}
]
}
}
}400
Invalid request payload or stored CSR
Response example 400
{
"success": false,
"message": "Invalid request payload or stored CSR",
"error": "Invalid request payload or stored CSR"
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
TLS certificate or referenced renewal source not found
Response example 404
{
"success": false,
"message": "TLS certificate or referenced renewal source not found",
"error": "TLS certificate or referenced renewal source not found"
}409
The TLS certificate order cannot be completed in its current state
Response example 409
{
"success": false,
"message": "The TLS certificate order cannot be completed in its current state",
"error": "The TLS certificate order cannot be completed in its current state"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}502
Upstream TLS provider error
Response example 502
{
"success": false,
"message": "Upstream TLS provider error",
"error": "Upstream TLS provider error"
}Community
Become part of the community
The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.